This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 3.138. __nv_floor

Prototype:

    double @__nv_floor(double %f)

Description:

Calculates the largest integer value which is less than or equal to `x`.

Returns:

Returns the largest integer value which is less than or equal to x expressed as a floating-point number.

- __nv_floor( ± ∞ ) returns ± ∞ .

- __nv_floor( ± 0 ) returns ± 0 .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes